import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
part 'exclude_phone_model.g.dart';


@JsonSerializable()
class ExcludePhoneModel extends Equatable{
  final int id;
  final String phone;
  final String remark;
    factory ExcludePhoneModel.fromJson(Map<String, dynamic> json) =>_$ExcludePhoneModelFromJson(json);
    Map<String,dynamic> toJson()=> _$ExcludePhoneModelToJson(this);

  const ExcludePhoneModel({
    required this.id,
    required this.phone,
    required this.remark,
  });

  @override
  List<Object?> get props => [id,phone,remark];
}