import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
part 'sms_content_model.g.dart';


@JsonSerializable()
class SmsContentModel extends Equatable{
  final int id;
  final String content;
  final int isChecked;

  factory SmsContentModel.fromJson(Map<String, dynamic> json) =>_$SmsContentModelFromJson(json);
    Map<String,dynamic> toJson()=> _$SmsContentModelToJson(this);

  const SmsContentModel({
    required this.id,
    required this.content,
    required this.isChecked,
  });

  @override
  List<Object?> get props => [id, content, isChecked];

}